/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Copyright:
 * Georg Schild (dangertools@gmail.com)
 * Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package gui;

import org.Xwidgets.Styles;
import org.Xwidgets.WidgetFactory;
import org.Xwidgets.XFrame;
import org.Xwidgets.XMessageBox;

import statics.StaticValues;

/**
 * That class should once in future display some version/development infos, maybe in a nice window
 * At the moment it only opens a simple messagebox with some localized text
 */

class AboutWindow {
	
	private XFrame me;
	private WidgetFactory wt;
	
	/**
	 * Create and open the aboutWindow
	 *
	 */
	protected AboutWindow(){
		wt = MainGUI.mainGui.myGUIFactory;
		//me = wt.getFrame(MainGUI.mainGui.myFrame, 600, 500, Styles.SIMPLE);
		
		//me.setVisible(true);
		XMessageBox box = wt.getMessageBox(MainGUI.mainGui.myFrame, Styles.OK);
		box.setText(MainGUI.version + "\n\n" + StaticValues.getLangString("aboutText"));
		box.open();
	}
	
}
