/******************************************************************
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * Copyright Georg Schild (dangertools@gmail.com), Franz Endstrasser (franz.endstrasser@gmail.com)
 ******************************************************************/

package plugins;

import java.io.File;
import java.util.HashSet;

public class PluginController {
	private HashSet allPlugins;
	private HashSet runningPlugins;
	private String pluginLocations[];
	
	PluginController(String pluginLocations[]){
		this.pluginLocations = pluginLocations;
		allPlugins = new HashSet();
		runningPlugins = new HashSet();
	}
	
	public void updateList(){
		for ( int i = 0; i < pluginLocations.length; i++){
			File f = new File(pluginLocations[i]);
			File tmp[] = f.listFiles();
			
			for ( int j = 0; j < tmp.length; j++){
				File current = tmp[j];
				if (valid(current)){
					allPlugins.add(current);
				}
				
			}
			
		}
	}

	private boolean valid(File f) {
		return false;
	}
}
